Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
The_Right_Honourable_Member Posted on 12/02/2020 07:32
New flights at Teesside Airport being propped up by Taxpayer
 
I suppose spending a big chunk of public money on an airport was always going to be controversial. But surely subsidising private airlines is complete madness. It's rumoured to be big money as well. This airport venture won't be allowed to fail - no matter what the cost to the Tees public. Expect to see some creative accounting procedures in the coming years.

Link: Airport failing
IP: Logged
Octo_Burger Posted on 12/02/2020 08:52

New flights at Teesside Airport being propped up by Taxpayer
Shocking.

If this was labour the locals on facebook would be going mad.

IP: Logged
Corcaigh_the_Cat Posted on 12/02/2020 08:55

New flights at Teesside Airport being propped up by Taxpayer
It's what the lectorate voted for. Look after the better off in society.
IP: Logged
Boro_Boro_Boro Posted on 12/02/2020 10:13

New flights at Teesside Airport being propped up by Taxpayer
Id rather my tax money be spent on an airport I use than a fantasy Rail project that I wont get chance to use.

I find it hilarious that all this BS is being spilt by Jessie Joe Jacobs... Labour candidate for Mayor...

I thought you lefties liked public ownership and nationalisation?

Or is it just the fact it came about from a Tory before your lot thought of it?

She is well and truly out of her depth and hasn't brought anything of substance to her campaign...

She is going to get a shock when the results are out in May
IP: Logged
redwurzel Posted on 12/02/2020 10:26

New flights at Teesside Airport being propped up by Taxpayer
Surely its better that people fly from their local airport than go to Newcastle or Leeds. It increases revenue in the local area which increases jobs and business rates revenue.

The flights are not all used by wealthy people and influential business people need quick access from major cities or they may ignore the area and take their business elsewhere. The area suffers from a lack of investment in the last 40 years, not a lack of buses.
IP: Logged
myfooty Posted on 12/02/2020 10:32

New flights at Teesside Airport being propped up by Taxpayer
It is almost impossible for Teesside Airport to fail with the huge amounts of public funding it going to receiving over next 10 years or so.

It is going benefit from public funding for everything: Staff training programs, airport infrastructure, Route support for airlines, business relocation grants, on site business parks including hotels etc, new roads for better access, new train station, Public funding of bus and train services. etc.
IP: Logged
bear66 Posted on 12/02/2020 10:33

New flights at Teesside Airport being propped up by Taxpayer
Boro_Boro_Boro - What do you disagree with?

ďWe just want transparency - people want the airport to work but we also want to know what price people are paying to make it work.Ē

IP: Logged
Boro_Boro_Boro Posted on 12/02/2020 10:38

New flights at Teesside Airport being propped up by Taxpayer
We just want transparency - people want the airport to work but we also want to know what price people are paying to make it work.Ē


Transparency is ok until it has a detrimental impact on the business your are trying to protect.

If you give away all the secrets then it removes your bargaining power.
IP: Logged
bear66 Posted on 12/02/2020 10:47

New flights at Teesside Airport being propped up by Taxpayer
Why should I, as a tax payer, support a secret commercial deal that is being used for political gain?
IP: Logged
myfooty Posted on 12/02/2020 10:52
Edited On: 12/02/2020 10:55
New flights at Teesside Airport being propped up by Taxpayer
I think Ben is being played at Ben's own game so he no longer supports full transparency just like he asking for from with LA's with regards to airport and other issues.

Now Ben and TVCA are refusing to release information saying releasing information and being more transparent could have detrimental impact to airport business.

I find it odd that Ben is not happy that people are using Airport as political issue. He based his campaign on the airport.
IP: Logged
Corcaigh_the_Cat Posted on 12/02/2020 11:01

New flights at Teesside Airport being propped up by Taxpayer
'Surely its better that people fly from their local airport than go to Newcastle or Leeds.'

The option to fly from the local airport isn't a reality for the majority of the local people, the prices prevent that.

IP: Logged
Boro_Boro_Boro Posted on 12/02/2020 11:04

New flights at Teesside Airport being propped up by Taxpayer
Why should I, as a tax payer, support a secret commercial deal that is being used for political gain?

You dont have to support it... Use your vote in May [:D]

However dont expect Labour to do any different... History shows they are just as good at quoting "commercial sensitivity
IP: Logged
bear66 Posted on 12/02/2020 11:13

New flights at Teesside Airport being propped up by Taxpayer
Vote for what? I need transparency to know what I'm voting for.
IP: Logged
Rayman Posted on 12/02/2020 11:15

New flights at Teesside Airport being propped up by Taxpayer
Iím not sure why I should sponsor something Iím not going to use. Obviously one pays for our BBC and NHS but this is a step too far. Until it fails through lack of use weíll also have to suffer extra noise and exhaust.
Unless of course itís part of some complex tax avoiding Freeport scam.
IP: Logged
myfooty Posted on 12/02/2020 11:20

New flights at Teesside Airport being propped up by Taxpayer
Ben Houchen the TVCA mayor has already confirmed the TVCA plans an initial investment £23.4 million into the airport business park and another £6 million into Teesside Airport Railway station.

The station is 1 mile from Teesside international airport and currently only has 1 service stop per week so this seems a huge waste money unless it part of wider scheme that for some reason hasn't been made public knowledge.

We 100% need more transparency with regards Teesside International Airport.
IP: Logged
Boro_Boro_Boro Posted on 12/02/2020 11:26

New flights at Teesside Airport being propped up by Taxpayer
"Vote for what? I need transparency to know what I'm voting for."

A different Mayor... Do try and keep up [:D]
IP: Logged
free_pint Posted on 12/02/2020 11:36

New flights at Teesside Airport being propped up by Taxpayer
'I find it hilarious that all this BS is being spilt by Jessie Joe Jacobs... Labour candidate for Mayor...

I thought you lefties liked public ownership and nationalisation?'

Erm subsidising private businesses isn't public ownership nor nationalisation.. It's theft.
IP: Logged
Boro_Boro_Boro Posted on 12/02/2020 11:40

New flights at Teesside Airport being propped up by Taxpayer
"Erm subsidising private businesses isn't public ownership nor nationalisation.. It's theft."

Bit like PFI then ? [:D]
IP: Logged
myfooty Posted on 12/02/2020 11:45
Edited On: 12/02/2020 12:09
New flights at Teesside Airport being propped up by Taxpayer
I think Ben Houchen made few big mistakes with regards to the airport.

He told voters that he was going get the airport back 500k and promised full transparency. He failed with regards to both issues.

He gifted Peel Group a way out of a struggling business investment due to fact he made it public knowledge that he felt he must deliver on the silly promise of buying the airport. It ended up costing £40 million to buy not £500k like he promised and by the end of next year it will have cost the TVCA another £40-£50 million with supporting the losses and investment commitments. Over next 10 years or so hundreds of million will need spending on the airport to bring it up standard.

With regards to the airport last last accounts show a loss of around £6 million and this wasn't in the business plan. So it seems things could already be going wrong with regards to Ben's business for the airport.

As for using public funding for supporting the routes being provided by Eastern Airways. You should remember Ben was against this and blocked it when the LA's tried to support it in 2017.
IP: Logged
Jonny_Ingbar Posted on 12/02/2020 11:59

New flights at Teesside Airport being propped up by Taxpayer
Time has proved an airport on Teesside is not viable and if public money is going to be used I can think of a thousand things more worthy than propping up the private sector.

I think the whole thing was fuelled by electioneering in order to win votes.
IP: Logged
newyddion Posted on 12/02/2020 12:24

New flights at Teesside Airport being propped up by Taxpayer
We paid £40m for an airport that we sold for £500k and then immediately gave half of it away to a private firm.. plus we pay the majority of the losses.

Nice one [^]
IP: Logged
myfooty Posted on 12/02/2020 12:40

New flights at Teesside Airport being propped up by Taxpayer
"We paid £40m for an airport that we sold for £500k and then immediately gave half of it away to a private firm.. plus we pay the majority of the losses.Nice one†"

That is not 100% correct. Stobarts only got 25% of the business. But also receive millions each year for various services provide provide at the airport including 10% of the annual budget as part managerment fee.
IP: Logged
whatdoyoubench Posted on 12/02/2020 12:45

New flights at Teesside Airport being propped up by Taxpayer
Make Teesside Airport Great Again

IP: Logged
BlindBoyGrunt1 Posted on 12/02/2020 12:57

New flights at Teesside Airport being propped up by Taxpayer
"Bit like PFI then ? [:D]"

Ah yes, John Major, after he and Thatcher had engineered three recessions.
IP: Logged
Sortie Posted on 12/02/2020 12:59

New flights at Teesside Airport being propped up by Taxpayer
Surely as it's public money we have a right to know. How do we know there are no brown envelopes involved?

I'd hazard a guess within days of the election result being announced these routes will all get dropped. He's already said either use them or lose them.

Even though I don't care for the man I wonder what the CEO/Chairman of Ryanair thinks about it. I'd guess Willie Walsh of IAG may have something to say about it as well.

Is the airline the one that Virgin are involved with? Free holidays on offer to a Caribbean Island on offer to some perhaps.
IP: Logged
Wev1 Posted on 12/02/2020 13:04

New flights at Teesside Airport being propped up by Taxpayer
"Time has proved an airport on Teesside is not viable and if public money is going to be used I can think of a thousand things more worthy than propping up the private sector."

No, time proved that about 10-13 years ago there was a financial crisis, which messed up a lot of things, which we're still recovering from now. During this time people tended to stick with the larger players, like Newcastle, manchester, heathrow, as they could do it cheaper.

It can be a success again, but it needs an easyjet or ryanair on board, going to spain and a couple of others. This is going to take time to achieve, and hopefully in the meantime the other carriers can keep the airport afloat, but it's going to take initially expensive tickets to do it.

Effectively it's like any investment, you throw money in at the start, and then things start to go better after a few years. But if the public aren't willing to pay an extra few quid to travel from a local airport, and support the local economy, then they wont help it grow, which would facilitate future cheaper flights and airport growth.

They need to get that train line actually linked to the airport, and get it advertised to people from other areas. I can't think of many small airports that have an easy train link like that. Well almost easy, without having to walk 1km with cases etc.
IP: Logged
myfooty Posted on 12/02/2020 13:32
Edited On: 12/02/2020 13:34
New flights at Teesside Airport being propped up by Taxpayer
The current plans for station make no sense.

It is not going to get the use to justify the investment.

People that plan to use the airport from outside the area are more likely to travel by car and if using the train will most likely have to change at Darlington or one of main stations in the area. In most case it most likely quicker for get taxi direct from those stations to airport because of connection times etc. Dinsdale station is only 2.1 mile from the terminal building and is in a more urban area and a has lot more trains stopping than the one per week that stops at Teesside Airport station which is still 1 mile(20 minute walk) from terminal building.
IP: Logged
Jonny_Ingbar Posted on 12/02/2020 13:39

New flights at Teesside Airport being propped up by Taxpayer
Wev, people aren't willing to pay more for tickets when they can fly cheaper from other local airports.

Sadly I think its a fact that it isn't financially viable and the public money would be better spent elsewhere.
IP: Logged
myfooty Posted on 12/02/2020 13:47
Edited On: 12/02/2020 14:58
New flights at Teesside Airport being propped up by Taxpayer
Instead of spending all this money a train station why not look at spending it on bus / coach services that link other northern towns and cities to the Tees Valley Area and linking Tees Valley centres to key Tees Valley areas such business park and Airport etc. I sure many northern towns and cities would be happy to look into sharing these costs for better links between their areas and our areas.
IP: Logged
Jonny_Ingbar Posted on 12/02/2020 20:02

New flights at Teesside Airport being propped up by Taxpayer
I think the reality is that the regional mayor needs a political centre-piece and this happened to be it.

Using the money on social services, child services etc would be clearly better spent, but he wouldn't be able to rely on that to make headlines would he?
IP: Logged
free_pint Posted on 12/02/2020 20:05

New flights at Teesside Airport being propped up by Taxpayer
'"Erm subsidising private businesses isn't public ownership nor nationalisation.. It's theft."

Bit like PFI then ?'

I despise PFI, you do realise it was the Tories that brought them in right?
IP: Logged
HolgateCorner Posted on 12/02/2020 20:24

New flights at Teesside Airport being propped up by Taxpayer
Putting the politics to one side, I find it sad that plenty on this forum are happy to write off a potentially valuable local asset like Teesside Airport.

These things have indirect benefits to the local area.

I was talking to somebody at Nexus today about the Tyne Wear Metro and he said it runs at a loss and they are extending it into areas which will potentially increase the loss. They are millions of passenger journeys short of where they should be and spend a lot of time trying to think of ways to get the Geordies to use it.

But he also said itís accepted that the spin off to the local economy is worth the loss.

There is a lot of effort going into selling Teesside to new international investors, sometimes you have to look at the bigger picture.
IP: Logged
BoroFur Posted on 12/02/2020 20:42

New flights at Teesside Airport being propped up by Taxpayer
The galling thing is it's not even being propped up using national taxation. It's actually Council Tax funding that is being used which makes it more of a local issue than a national issue.

So why should my Council Tax be used to prop up commercial ventures I'm not likely to use?
IP: Logged
HolgateCorner Posted on 12/02/2020 21:04

New flights at Teesside Airport being propped up by Taxpayer
Yes but this happens all the time.

The government use national taxes to subsidise house building and I havenít bought a new house for 30 years.
IP: Logged
richb Posted on 12/02/2020 21:09

New flights at Teesside Airport being propped up by Taxpayer
Teesside Airport simply isn't viable from a business standpoint. It's got too much competition and no unique selling point. Newcastle Airport is hardly difficult to get to, neither are Manchester or Sheffield. They all have longstanding success and run flights at cheaper prices than Teesside will be able to at any time soon.

I'm never in favour of just shutting things down and do think the public sector always has a role to play in providing public services. But I simply don't see what real benefit this airport brings which is worth what we have spent on it. Investing this money in providing strong transport links in the local area and even to Newcastle Airport would be better. More people would be able to use it locally and would also bring the benefits that having a local airport would bring to the area as it's not really that far away.

It's not going to be allowed to fail, but I don't think the price we're paying for it to succeed is worth it. Especially since local authorities (and by extention you and I) will be underwriting all of costs but will likely never see a penny of the profits.
IP: Logged
TheFair86 Posted on 12/02/2020 21:38

New flights at Teesside Airport being propped up by Taxpayer
People just want teesside airport to work because itís ďme, Iím from middlesbrough, meĒ type local pride where to be got to support it just because itís ďhereĒ and not because itís the best or most viable solution. Leeds Bradford and Newcastle are far superior airports, with better facilities, better flight times, more choice, better transport links and cheaper. Iíd rather see the money spent on teesside airport go on other local infrastructure
IP: Logged
free_pint Posted on 12/02/2020 21:48
Edited On: 12/02/2020 22:28
New flights at Teesside Airport being propped up by Taxpayer
Edit: For some reason I copy and pasted the wrong post at first...

'I was talking to somebody at Nexus today about the Tyne Wear Metro and he said it runs at a loss and they are extending it into areas which will potentially increase the loss. They are millions of passenger journeys short of where they should be and spend a lot of time trying to think of ways to get the Geordies to use it.'

If we were propping up something like a metro system I'd have no issue, it's for all people at all times and takes you into different areas of the city and it's fairly cheap for the users. We need to invest in local public transport.
IP: Logged
Burra Posted on 12/02/2020 21:59

New flights at Teesside Airport being propped up by Taxpayer
Just drive an extra 30 mins to Leeds from Boro, instead of going to Darlingtonís Airport.
IP: Logged
HolgateCorner Posted on 12/02/2020 22:33

New flights at Teesside Airport being propped up by Taxpayer
Newcastle airport is in the wrong place, if it was in the middle of Durham then I think it would truly be an airport for the north east.

If you are talking about just having a hub airport for a larger catchment I would suggest Leeds, Manchester, Birmingham would be the answer with good transport links, although Leeds is also in a bad location too close to houses, maybe Doncaster better.

I think thereís an argument for either plenty of regional airports or just a few hubs. Thereís no rational argument why Newcastle should exist but not Teesside, Teesside has a wider catchment.

IP: Logged
Greenandblack Posted on 13/02/2020 06:17

New flights at Teesside Airport being propped up by Taxpayer
***Teesside Airport simply isn't viable from a business standpoint. It's got too much competition and no unique selling point.***

I'd say that Teesside Airport USP is that it's local if you live on Teesside or in southern Co Durham or N Yorks. It's the only airport less than an hour away. That's a good USP.

If you use it as a spoke to Schipol then you have all the duty free shops you need there.

If your only need for an airport is an annual holiday to Benidorm then you probably won't use it but don't discourage others from using it. The airport brings economic benefits that the area needs. It could spark growth and jobs for the area.
IP: Logged
CardiffDaffs Posted on 13/02/2020 06:59

New flights at Teesside Airport being propped up by Taxpayer
ďId rather my tax money be spent on an airport I use than a fantasy Rail project that I wont get chance to use.Ē

As a matter of interest how often do you you use Teesside airport then Boro Boro Boro? May I wager that the vast majority of people in Teesside will more likely use the HS rail than fly from Teesside. Unless you are telling me by the time HS rail is finished youíll be long gone?
IP: Logged
Jonny_Rondos_Disco_pants Posted on 13/02/2020 08:26

New flights at Teesside Airport being propped up by Taxpayer
Teesside needs the airport. Hopefully its fortunes turn around and it starts thriving again. Newcastle went around £100m in debt the other year due to how badly run it was and an outside investment firm took over as main shareholder.

The railway station needs repairs and a link to the airport if they can get it to grow. It would be cheaper to move the terminal building nearer the railway station than take the line down to the station as a halt.

It really only needs on plane based there for holiday flights, fly to alicante and back, palma and back, Faro and back, Cyprus, malaga etc
IP: Logged
KingOfTheTribes Posted on 13/02/2020 08:43

New flights at Teesside Airport being propped up by Taxpayer
Its just another Tory infrastructure project that's meant to sound great but in reality it's a flop. Johnson has been using this tactic since he was Mayor of London.

Sadly people are too thick to see the wood for the trees.
IP: Logged
Corcaigh_the_Cat Posted on 13/02/2020 09:43

New flights at Teesside Airport being propped up by Taxpayer
'In Parliament this week it was revealed that £1.50 can get you a 30 mile journey in London, but just 4 stops here in the North East. This shows just how much work we have to do to make our area get he transport system itdeserves. Our transport system is not fit for purpose and it's time we had a mayor who will tackle the problem, not throw money at vanity projects and sticking plasters'
IP: Logged
Greenandblack Posted on 13/02/2020 09:52

New flights at Teesside Airport being propped up by Taxpayer
*** £1.50 can get you a 30 mile journey in London, but just 4 stops here in the North East***

A magnificently misleading stat.
IP: Logged
Corcaigh_the_Cat Posted on 13/02/2020 10:17

New flights at Teesside Airport being propped up by Taxpayer
They've proved popular with the electorate over the last few years.
IP: Logged
richb Posted on 13/02/2020 18:38

New flights at Teesside Airport being propped up by Taxpayer
"I'd say that Teesside Airport USP is that it's local if you live on Teesside or in southern Co Durham or N Yorks. It's the only airport less than an hour away. That's a good USP."

Location isn't really a USP. And I'm not sure it's particularly accurate either. I flew from Newcastle in August and it took me 40 minutes or so to get to Newcastle Airport from Thornaby.

It's no easier to get to than the other airports (possibily harder than Manchester, despite the length of time it takes to get there, as the Manchester Airport train takes you directly into the airport), isn't going to be cheaper and won't go anywhere other existing airports can take you.

We don't need an airport. If a business wants to run one, not taxpayer funded, then it would be nice. But the fact that no business wants to run one without support from the government tells you it doesn't really have anything to offer.

The money would have been better spent on improvements to local transport infrastructure including better links to Newcastle Airport.
IP: Logged
Jonny_Rondos_Disco_pants Posted on 13/02/2020 18:49

New flights at Teesside Airport being propped up by Taxpayer
40 mins by train? it's about 22 mins on the Metro. I do it from Eaglescliffe and it took me 1hr20

Doesn't bother me like. I prefer flying from Teesside though.
IP: Logged
middlesbrough123 Posted on 13/02/2020 19:15

New flights at Teesside Airport being propped up by Taxpayer
The galling thing is it's not even being propped up using national taxation. It's actually Council Tax funding that is being used which makes it more of a local issue than a national issue.

So why should my Council Tax be used to prop up commercial ventures I'm not likely to use?

I think a successful airport with boost local businesses, you may not use the airport but it could benefit us indirectly with better access for those in business.
IP: Logged
redwurzel Posted on 13/02/2020 19:27
Edited On: 13/02/2020 19:32
New flights at Teesside Airport being propped up by Taxpayer
if you want to get from the City of London to Teesside its much quicker to fly to Teesside than fly to Leeds (and 65 miles drive) or Newcastle (and 55 miles drive) - train would be at least 3 hours to Darlo (from City of London Airport). Its people in the City of London that tend to do the big deals that can make a big difference to the area not holiday makers to Benidorm. Teesside is relatively unknown that needs to change. I think its right to be ambitious for the area. Areas much smaller than Teesside around Eastern Europe are developing their airports as they know it makes a difference

Ref public subsidy TfL is subsidised in London and you can travel for over 1.5 hours on their buses for £1.50 - it really helps their economy. In contrast, Guisboro to Middlesbrough return is around £5.60 on a bus
IP: Logged
HolgateCorner Posted on 13/02/2020 20:42

New flights at Teesside Airport being propped up by Taxpayer
Newcastle Airport is badly located, and out on a geographical limb, only convenient if you live in....Newcastle.

They are paranoid that Edinburgh airport will eventually out compete them and rightly so particularly if Scotland goes independent.

I think there was an attempt to sacrifice Teesside to make Newcastle viable.

40 mins to Newcastle Airport? Easily 2 hours, possibly more at peak times, and donít even think about going on the train.

Teesside has far more to offer but it has suffered in the last 10 years from underinvestment from a property company who were playing a long game after getting their hands on very valuable building land. I know people who have worked for Peel, they will not have been concerned that Teesside was going to lose a valuable and strategic public asset.
IP: Logged
jcjc Posted on 13/02/2020 22:16

New flights at Teesside Airport being propped up by Taxpayer
could not agree more
IP: Logged
LeFlem Posted on 14/02/2020 06:25

New flights at Teesside Airport being propped up by Taxpayer
Iím really tired of all the negativity on this board. Slag the airport slag Woodgate. If all you can do is moan donít bother posting.
IP: Logged
Octo_Burger Posted on 14/02/2020 08:51

New flights at Teesside Airport being propped up by Taxpayer
Should get rid of both Teesside and Newcastle airport and build one large hub airport in the middle.
IP: Logged
Corcaigh_the_Cat Posted on 14/02/2020 09:23

New flights at Teesside Airport being propped up by Taxpayer
On the land that Nissan will vacate?
IP: Logged
jam69 Posted on 14/02/2020 09:36

New flights at Teesside Airport being propped up by Taxpayer
i think its good for those who need links for business but not really the leisure flights people were hoping for. they might come. i can understand some being positive and accept that for the majority they wont be used.
IP: Logged
middlesbrough123 Posted on 14/02/2020 10:02

New flights at Teesside Airport being propped up by Taxpayer
Iíd expect regular business use to eventually bring cost down and have a knock on effect to general retail users
IP: Logged
jam69 Posted on 14/02/2020 10:21

New flights at Teesside Airport being propped up by Taxpayer
hopefully, thats why i think we need to give it time, if it turns out it was a vanity project then those responsible must take the blame, iam sure we would all like to see a vibrant successful local airport
IP: Logged
Jonny_Rondos_Disco_pants Posted on 14/02/2020 10:24

New flights at Teesside Airport being propped up by Taxpayer
Nissan was an airfield once, air museum next door. That is a sensible place to have an airport. Good access from A19 and A1.
IP: Logged
rob_fmttm Posted on 14/02/2020 11:42

New flights at Teesside Airport being propped up by Taxpayer
Nissan - are you thinking after the post-Brexit car plant closure?
Only 10 minutes between Newcastle Airport and Sunderland Nissan - might be a little bit too close surely for two airports.
IP: Logged
Corcaigh_the_Cat Posted on 14/02/2020 11:49

New flights at Teesside Airport being propped up by Taxpayer
10 minutes by helicopter
IP: Logged
fortygrand4kinnel Posted on 14/02/2020 12:30

New flights at Teesside Airport being propped up by Taxpayer
Middlesbrough 123 just to note tvca is not funded through council tax. The majority of its funds are direct from the govt. TVCA does not levy any type of precept on local taxpayers
IP: Logged
myfooty Posted on 14/02/2020 13:27

New flights at Teesside Airport being propped up by Taxpayer
"Middlesbrough 123 just to note tvca is not funded through council tax. The majority of its funds are direct from the govt. TVCA does not levy any type of precept on local taxpayers"

It still money that is for local leaders to spend on our area. TVCA has limited amount funding and it should be used wisely by the local leaders.
IP: Logged
Greenandblack Posted on 14/02/2020 13:51

New flights at Teesside Airport being propped up by Taxpayer
***Should get rid of both Teesside and Newcastle airport and build one large hub airport in the middle.***

The magic money tree solution. Abandon two underfunded airports that exist with good infrastructure for one new airport that would have to be built from the ground up, with a whole raft of infrastructure.
IP: Logged
d_robbo Posted on 14/02/2020 14:52

New flights at Teesside Airport being propped up by Taxpayer
ďNewcastle is easily 2hrsĒ

It really isnít. Unless youíre travelling from Leeds.
IP: Logged
uberweiss Posted on 14/02/2020 17:55

New flights at Teesside Airport being propped up by Taxpayer
Booked my flight from Southampton to Teesside for next month. £135 one way for one hold bag and a set of golf clubs. Would have been £68 with hand luggage. Don't really understand how about 30kg of luggage can cost the same as me. I weigh 88kg. But £68 if you're only travelling light isn't too bad really
IP: Logged
Greenandblack Posted on 14/02/2020 18:17
Edited On: 14/02/2020 18:18
New flights at Teesside Airport being propped up by Taxpayer
***ďNewcastle is easily 2hrsĒ

It really isnít. Unless youíre travelling from Leeds.***

No, it isn't. But Newcastle Airport is 50 miles from Middlesbrough, so driving it in 40 minutes (the time quoted) is clearly not possible without breaking speed limits for the whole journey. Add in that the limit round the Metro Centre is 50, so you'd be breaking the limit there by >20 mph. And that area snarls up every morning, and every evening.

Still some people would rather do that than use their local airport, which is 20 minutes at most from Middlesbrough, allowing for traffic and speed limits.
IP: Logged
myfooty Posted on 14/02/2020 18:39

New flights at Teesside Airport being propped up by Taxpayer
He did say from Thronaby. without delays he could be 70mph nearly all the way. He could do it about 40 minutes. I would say his time was closer to the normal time of 2 hours someone else quoted.
IP: Logged
HolgateCorner Posted on 14/02/2020 18:50

New flights at Teesside Airport being propped up by Taxpayer
On Wednesday morning I had to be at the Royal Station Hotel in Newcastle for 8am.

I set off from Nunthorpe at 6.30 and walked into the hotel at 8am more or less on the dot. The traffic was better than usual on the A19 so I think I was lucky.

So allowing for a longer journey and the serious pain of the A1 as you go on the western bypass past the Angel of the North, getting parked, messing about with the shuttle bus etc, I reckon door to door for me the other morning would have been 2 hours.

I donít think Iím too far away, you may save half an hour if you travel in the dead of night for one of your bargain basement flights with a carrier bag allowance.


IP: Logged
Johnny_X Posted on 14/02/2020 18:51

New flights at Teesside Airport being propped up by Taxpayer
I do the that road most days, not all the way but most of it. I would say you would do middlesbrough to newcastle airport in 50 minutes outside rush hour and probably 60 to 70 mins in rush hour. Teesside probably 25-30 in rush hour and probably 20 mins outside it.
IP: Logged
myfooty Posted on 14/02/2020 19:00
Edited On: 14/02/2020 19:01
New flights at Teesside Airport being propped up by Taxpayer
I'm sure that will have been more to do with current road works on A19 and fact you were travelling into busy city centre at peak time.

It doesn't normally take 90 minutes to get to Newcastle. It is only 35 miles north of Norton.
IP: Logged
HolgateCorner Posted on 14/02/2020 19:24

New flights at Teesside Airport being propped up by Taxpayer
I go to Newcastle all the time with work and itís a nightmare, the western bypass is terrible.

Leeds Airport is much easier to get to from Nunthorpe.

Norton is a good 20 minutes for me, as is Thornaby, so you need to add that on.

And Iím not talking about driving when thereís nobody on the road, I can even get to Heathrow in 3 hours in the middle of the night.
IP: Logged
myfooty Posted on 14/02/2020 19:37

New flights at Teesside Airport being propped up by Taxpayer
I understand you live on far side Middlesbrough but I still don't understand why you think it would take 2 hours to get Newcastle Airport without major issues on the roads.
IP: Logged
Sortie Posted on 14/02/2020 20:06

New flights at Teesside Airport being propped up by Taxpayer
"If all you can do is moan donít bother posting."

Erm, were you not moaning and posting?

Freedom of speech.

Get the Mayor and Woodgate out [^]
IP: Logged
HolgateCorner Posted on 14/02/2020 20:07

New flights at Teesside Airport being propped up by Taxpayer
Iím talking door to door, I did say that above.

If you go to Teesside or Leeds you can park outside the door of the terminal building, get your cases out of the boot and walk straight in.

At Newcastle you have to fanny about with a shuttle bus.

Itís not particularly convenient in my opinion even though for some reason there are posters on here who claim going to Newcastle Airport is like popping in to Teesside Park.

Iíve nothing against the Geordies airport by the way other than I think it is out of the way, out on a limb and has poor transport links. During Teessideís dormant period Iíve favoured Leeds and Doncaster over Newcastle. Appreciate we all have different opinions.
IP: Logged
Wev1 Posted on 14/02/2020 20:27

New flights at Teesside Airport being propped up by Taxpayer
I live in Coulby and have flown from Newcastle about 30 times. Door to Terminal has never been less than an hour, even when speeding. Itís been a 1.5 hour drive loads of times when on a flight about 10/11am, when you need to be at airport for 8/9am. I now count that as the average.

Iíve done it in less than an hour, but only when flying mid afternoon or very late evening (and speeding). Even looking on google maps now, itís saying an hour at 8:20pm.

I donít bother with flying from there anymore as had some nightmares over two hours, so now I just train it to Manchester, itís much more relaxed.

Iíve never known anyone leave the house, 3 hours before a flight from Newcastle, allowing 1 hour drive and 2 hours check in, risky business.
IP: Logged
myfooty Posted on 14/02/2020 21:14

New flights at Teesside Airport being propped up by Taxpayer
"Iíve nothing against the Geordies airport by the way other than I think it is out of the way, out on a limb and has poor transport links. During Teessideís dormant period Iíve favoured Leeds and Doncaster over Newcastle. Appreciate we all have different opinions."

It must take you at least 3 to 4 hours to go door to door at those airports from your house if takes you 2 hours to get to Newcastle.
IP: Logged
myfooty Posted on 14/02/2020 21:26
Edited On: 14/02/2020 21:27
New flights at Teesside Airport being propped up by Taxpayer
"Iíve done it in less than an hour, but only when flying mid afternoon or very late evening (and speeding). Even looking on google maps now, itís saying an hour at 8:20pm. "

How long does it take you to get from your house in Coulby Newham to Acklam road in Thornaby.
IP: Logged
HolgateCorner Posted on 14/02/2020 21:29

New flights at Teesside Airport being propped up by Taxpayer
Donít get me wrong myfooty I dislike travelling to Leeds or Doncaster as well but I think the journey is easier than to Ponteland.

Iím pleased Wev1 made his comments above in a similar vain to mine because I wasnít just slagging off the journey to Newcastle for nothing, I think itís a bit of a nightmare and I donít just mean for going to the airport. If thereís a crash somewhere on a major road itís a complete write off in the peak hours 7 to 9.30 morning and about 3 to 6.30 afternoon.

There are a good few times Iíve tried to get to Newcastle for courses and such like commencing say 8.30 am and the traffic has been so bad Iíve given it up as a bad job and just diverted to my office just outside Durham.
IP: Logged
myfooty Posted on 14/02/2020 21:46
Edited On: 14/02/2020 21:48
New flights at Teesside Airport being propped up by Taxpayer
You must be mad wanting to go Leeds Bradford. It is nightmare to get to and I think most would agree it is worst airport in the North despite the improvements it still badly lead out and overcrowded.

I would say it one of the worst airports I have used.


"Iím pleased Wev1 made his comments above in a similar vain to mine because I wasnít just slagging off the journey to Newcastle for nothing, I think itís a bit of a nightmare and I donít just mean for going to the airport. If thereís a crash somewhere on a major road itís a complete write off in the peak hours 7 to 9.30 morning and about 3 to 6.30 afternoon. "

Are you saying it not the same around Teesside or Leeds or Doncaster or Manchester etc.?

I'm now starting to understanding why your part of Teesside has major traffic issues everyday with the Marton Crawl.

So do you every use Teesside Airport?
IP: Logged
Wev1 Posted on 14/02/2020 21:50

New flights at Teesside Airport being propped up by Taxpayer
5-10 minutes depending on traffic.

Post a pic on the new forum when you next set off, and another when you get there and weíll see how you got on.

Iíve drove it a few times from Stockton too, and itís usually an hour or more. Had a few approaching 2 hours in bad weather and traffic at metro centre and angel.

I just donít see 40 mins from Thornerís, unless the roads are dead till geordieland and you can do 90. The problem will always be the bit from the Angel onwards as most of it is 50, and has traffic anytime.

Nobody in their right mind would set off 2hrs 40, before flight time.
IP: Logged
myfooty Posted on 14/02/2020 22:05
Edited On: 14/02/2020 22:20
New flights at Teesside Airport being propped up by Taxpayer
I just donít see 40 mins from Thornerís, unless the roads are dead till geordieland and you can do 90. The problem will always be the bit from the Angel onwards as most of it is 50, and has traffic anytime. "

Those sections of A1 have all had major upgrades in last few years so not that bad now.

Do you get direct the train from Coulby Newham to Manchester Airport?[:D] less hassle

So just to confirm you don't use Newcastle because it takes to long to get there. so you now use Manchester or Leeds Bradford or Doncaster Sheffield? [:D] Because those airports are quicker and easier.
IP: Logged
HolgateCorner Posted on 14/02/2020 22:17

New flights at Teesside Airport being propped up by Taxpayer
Iíve used Teesside, Leeds and Newcastle in the last couple of years.

Teesside obviously by far the easiest.

Newcastle Iím not keen on as above.

Leeds is ok because I go down the A172 to the A19, then A1 and past Harrogate. Because itís a good few miles to the north of Leeds you donít get snarled up in the congestion. It takes me about an hour, maybe just a bit more, and you can walk into the terminal from the car park.

In terms of airport facilities Iím not bothered, I never drink or shop much before a flight, perhaps get something to eat, I think airports are just glorified bus stations.
IP: Logged
myfooty Posted on 14/02/2020 23:08
Edited On: 14/02/2020 23:29
New flights at Teesside Airport being propped up by Taxpayer
"Leeds is ok because I go down the A172 to the A19, then A1 and past Harrogate. Because itís a good few miles to the north of Leeds you donít get snarled up in the congestion. It takes me about an hour, maybe just a bit more, and you can walk into the terminal from the car park. " I have always had issues going to Leeds Bradford you always get traffic problems it is nightmare after leaving the A1 to travel up the hill for last 20 miles or so on most single lane roads passing through all villages on the way to the airport.


"In terms of airport facilities Iím not bothered, I never drink or shop much before a flight, perhaps get something to eat, I think airports are just glorified bus stations."

I not even talking about anything fancy. I was just talking about the lack of seating and all issues with bottle neck points and up and down levels due to the poor layout.


I know Peel Group have built a good Airport at Doncaster that has a great set up with none of the above issues. It looks like it is a very good small airport and is all geared for future growth.

Peel Group have sold Teesside Airport for £40 million and also sold part of their shares in Liverpool Airport to Ancala which purchased 35% of the airport from Peel Group. Peel Group are retaining a 45% interests.

Peel seem to have big plans for Liverpool and huge plans Donacster Sheffield but I'm not sure if Peel are just talking the airports to help inflate the values before cashing out or if they are going to back the plans with some of the cash raised by selling shares in Liverpool airport and Teesside airport.

Could Doncaster Sheffield really become the king of the East Midlands and North East and become a hub airport for North like Manchester airport? I'm sure they will be working on getting another major airline into the airport.
IP: Logged
HolgateCorner Posted on 14/02/2020 23:33

New flights at Teesside Airport being propped up by Taxpayer
I donít know enough about it to know about the individual potential of an airport, I do think Doncaster is good though but again it helps that you can park outside the terminal building and walk in.

I think it depends on whether or not the future of air travel is big planes doing big flights or a lot of small planes doing short flights. This will determine whether just a handful of hubs is better than having a lot of regional smaller airports. The impact of the green lobby could affect things as well.

As it stands at the moment though itís a free for all so in my view Teesside has as much right to compete for flights and passengers as anybody.
IP: Logged
myfooty Posted on 14/02/2020 23:40

New flights at Teesside Airport being propped up by Taxpayer
"I do think Doncaster is good though but again it helps that you can park outside the terminal building and walk in. "

That works whilst airport is small. You could do that Newcastle once over. You still can now if you are willing to pay for premium parking.
IP: Logged
myfooty Posted on 14/02/2020 23:44
Edited On: 14/02/2020 23:49
New flights at Teesside Airport being propped up by Taxpayer
"I think it depends on whether or not the future of air travel is big planes doing big flights or a lot of small planes doing short flights. This will determine whether just a handful of hubs is better than having a lot of regional smaller airports. The impact of the green lobby could affect things as well.

As it stands at the moment though itís a free for all so in my view Teesside has as much right to compete for flights and passengers as anybody."

Total agree and that why it is important Teesside picks its market spot and has a clear plan how to make that work, the funding must be used wisely.

The area can't afford to be wasting funding.
IP: Logged
LeFlem Posted on 15/02/2020 04:56

New flights at Teesside Airport being propped up by Taxpayer
Sortie, free speech your a dick head. You probable never fly and want Pulis back.
IP: Logged
Sortie Posted on 15/02/2020 07:50

New flights at Teesside Airport being propped up by Taxpayer
I fly regularly and it's generally from MME. I flew from NCL once (I was going to Paris so it made sense) and vowed never again. Awful place. Never flown from LBA but flew in once from LHR as the MME flight was full.

As you can see I do use and support the local airport. I'm against the secrecy that surrounds most thing this Mayor get up to. If the flights are subsidised was this through open competition ie open to tenders from others?

As for Pulis he was doing better than the clueless one that we have now.
IP: Logged
LeFlem Posted on 15/02/2020 08:13

New flights at Teesside Airport being propped up by Taxpayer
Pulis doing better! He is hated at every club he has managed he was sucking the life out of the club, for the benefit of Pulis. I would have Woodgate who has the club in his blood rather than Pulis the con man.
IP: Logged
Sortie Posted on 15/02/2020 08:27

New flights at Teesside Airport being propped up by Taxpayer
Look at the stats.

No comment about the airport then.

[rle]
IP: Logged
LeFlem Posted on 15/02/2020 08:33

New flights at Teesside Airport being propped up by Taxpayer
You support the airport so and fly frequently so I have no issue with you having a different opinion to me. What the major gets up to! Pulis was taken to court and found guilty of fiddling as for stats I watch football and the stuff served up under Pulis was not worth watching.
IP: Logged
LeFlem Posted on 15/02/2020 08:35

New flights at Teesside Airport being propped up by Taxpayer
Give Woodgate a chance he hasnít been dealt the best of hands, he needs time not half a season.
IP: Logged
Sortie Posted on 15/02/2020 09:25

New flights at Teesside Airport being propped up by Taxpayer
Football under Woodgate is worse than it was under Pulis. We've got less points, we're lower down the league and could get relegated.

The lad is out of his depth. If he loves the club why did he join Leeds instead of us as a kid? He only came here to get his career back on track and was out of the door as soon as a better offer came his was way.

It's odd that you raise Pulis' past misdemeanours but not Woodgates. But lets leave football out of this thread. It's about the dealings at the airport.

It's odd that the part owners are also part owners of the airline getting subsidises on its services.
IP: Logged
Wev1 Posted on 15/02/2020 09:33
Edited On: 15/02/2020 09:34
New flights at Teesside Airport being propped up by Taxpayer
I've not noticed the A1 getting any better and I've worked on a few of the A1 scheme up this way. The A1 Leeming to Barton scheme is further south and the scheme around Gateshead/ Metro area hasn't even overcome the increase in traffic/ population. It's like sticking a plaster on your leg that's been blown off. And to make things better they dropped the speed on a lot of it to 50.

Even now, at 9am on Saturday morning, when the roads are quiet, it's got the drive as 1 hour 10m mins, from coulby on google, and that's with zero traffic/ accidents. It's 50-55 miles, dependent on the route and nearly a third of those are 50mph or less.

If you put the travel time as busier times, like 7am it says "Typically 1 hour 20 to 2 hours 10 mins"! That's typical! Maybe googles billion pound traffic assessment algorithms and statistics are totally wrong.

I drive from Coulby to Yarm in 10 mins, then get the train to Manchester in about 2.5 hours, which will also be a lot faster once the line is upgraded.

So in just over 2.5 hours, I'm in Manchester Airport Terminal, where as if I was going to Newcastle I'd have to set off about 2 hours before I wanted to be there, just in case there's an accident or manic traffic.

No, it's not faster, on average, from Manchester, of course not. But for the extra half an hour, I'd rather free park at Yarm, and get the train, it's less stress, free parking and the airport is miles better, with miles better connections.

I'm actually flying to Dubai from Newcastle next Sunday, so I might time it haha. I said to our lass last night, shall we leave an hour before check in time and she just laughed and said "what if there's traffic or an accident? We will be kanckerd like we nearly were last time".

The point is, you can't practically guarantee getting to Newcastle in 40 minutes or an hour, so you have to allow a lot more time, which in my case is about 2 hours, to not have anyone getting stressed on route.
IP: Logged
TheFair86 Posted on 15/02/2020 10:58

New flights at Teesside Airport being propped up by Taxpayer
Iím fine with spending time to get to Newcastle, return itís about £15 From Thornaby, rocks up to the terminal building and takes about 1 hour 40. Probably less than the cost of two taxi trips to Teesside, no parking needed, and cheaper flights/choice of flight times etc

If I was to drive then looking at waze analytics itís average 55 mins from Ingleby if driving, longest it shows is about 1 hr 20 and thatís Monday peak time making an algorithmic allowance for traffic. Iíd say about an hour every time weíve gone in car/taxi. The idea of it taking 2 hours is not realistic imo, I work in gosforth and get there in an hour at peak time, even setting off at 7:55 yesterday I arrived at work 8:53 and thatís with local traffic. You check in 2-3 hours before flight anyway so wouldnít be an issue even in that scenario. Traffic analytics is real time and routes adjust so no bother.
IP: Logged
Corcaigh_the_Cat Posted on 15/02/2020 11:15

New flights at Teesside Airport being propped up by Taxpayer
Similar thing for me. Bus from Billingham Green to Heworth and Metro straight into the airport. I was doing to get to work on a Monday and back on a Friday, very easy and a regular service.
£7.50 each way.

I can get to Newcastle and back for £8, Middlesbrough and back is £4.60. something not quite right there.
IP: Logged
Wev1 Posted on 15/02/2020 11:33

New flights at Teesside Airport being propped up by Taxpayer
Not saying that 1 hour or so isn't typical, and that 2 hours is likely, far from it. I and a few others are saying you can't rely on that being an hour as there's often accidents, roadworks, lane closures etc. It could be 2 hours, quite easily though.

I might just plan more, and leave less to chance, must have been to 50 countries and on 500 flights and never missed one yet touch wood. Don't recall ever being there stupidly early mind.

I wouldn't bother getting train and metro to Newcastle, done it once and never again, too many changes or slow trains. It's fine if you live near one of the main stations to cut out some of the changes though.
IP: Logged
HolgateCorner Posted on 15/02/2020 12:08

New flights at Teesside Airport being propped up by Taxpayer
We obviously all have different experiences depending on where we live. Wev1 lives in Coulby which is en route for me but it takes me 10 minutes to even get to Coulby from where I live in Nunthorpe.

The ease of going to Teesside Airport compared to Newcastle for me is different league.

These things become even more important as you get older - I used to think nothing of driving down to Gatwick or Heathrow for flights. Iíd rather spend a week in a tent in Whitby these days than do that.
IP: Logged
Corcaigh_the_Cat Posted on 15/02/2020 12:20

New flights at Teesside Airport being propped up by Taxpayer
There's still quite a proportion of the population that don't drive. If we're planning mass transport it should be for all, not just the ease of the car drivers.

Unfortunately planning and the UK are alien to one another when it comes to long term inclusive solutions.
IP: Logged
HolgateCorner Posted on 15/02/2020 12:26

New flights at Teesside Airport being propped up by Taxpayer
CTC thatís a very good point, and it is at the heart of the problems of getting to badly located airports and congestion on the roads.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103